Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.interactive.completors
[Groovy] Class ClassNameCompletor

    java.lang.Object
      grails.build.interactive.completors.StringsCompleter
          org.codehaus.groovy.grails.cli.interactive.completors.ClassNameCompletor

All Implemented Interfaces:
  BuildSettingsAware

    @groovy.transform.CompileStatic
    abstract class ClassNameCompletor
    extends StringsCompleter

A completor that completes

Property Summary
`BuildSettings` | `buildSettings`

Constructor Summary
`ClassNameCompletor()`

Method Summary
`int` | `complete(java.lang.String buffer, int cursor, java.util.List clist)`
`java.lang.String` | `getCommandName()` @return The command name doing the completion
`boolean` | `shouldInclude(Resource res)`

Methods inherited from class StringsCompleter
complete, getStrings, setStrings

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### buildSettings

    BuildSettings buildSettings

Constructor Detail

### ClassNameCompletor

    ClassNameCompletor()

Method Detail

### complete

    @java.lang.Override
    int complete(java.lang.String buffer, int cursor, java.util.List clist)

### getCommandName

    java.lang.String getCommandName()

  Returns:
    The command name doing the completion

### shouldInclude

    boolean shouldInclude(Resource res)

Groovy Documentation